setlocal wrap
setlocal sw=2
setlocal tabstop=2
setlocal expandtab
setlocal textwidth=120
setlocal colorcolumn=121
setlocal softtabstop=2
setlocal linebreak
setlocal autoindent
setl updatetime=2000

" Makes autocompletion for references nice
setl iskeyword+=:
"set iskeyword+=-:
"set iskeyword+=_:

" .tex files always interpreted as latex and not plain tex
let g:tex_flavor='latex'
let g:Tex_DefaultTargetFormat =" pdf"

" don't try to force highlighting matching sections
let g:vimtex_motion_matchparen=0

" enable completion
let g:vimtex_complete_enable=1

let g:vimtex_compiler_progname = 'nvr'
let g:vimtex_view_use_temp_files = 2
let g:vimtex_view_method = 'zathura'
let g:vimtex_quickfix_mode = 0 " do not open the quickfix window automatically

augroup texsave
	autocmd!
	autocmd CursorHold,CursorHoldI * silent! wall
augroup END

let b:ale_linters = ['chktex']

"command Compile normal! :52 split <cr><c-w>j:terminal latexmk %<CR>G

iab enum \begin{enumerate}<CR>\item{}<CR>\end{enumerate}<esc>k0f{a
iab itemz \begin{itemize}<CR>\item{}<CR>\end{itemize}<esc>k0f{a
iab fig \begin{figure}<CR>\includegraphics{}<CR>\caption{}<CR>\end{figure}<esc>2k0f{a
iab fram \begin{frame}<CR>\end{frame}<esc>kA<CR>