# -*- mode: shell-script -*-
# vim:ft=zsh
# Completion Dots {{{
# if you want red dots to be displayed while waiting for completion
COMPLETION_WAITING_DOTS="true"
if [[ $COMPLETION_WAITING_DOTS = true ]]; then
	expand-or-complete-with-dots() {
		# toggle line-wrapping off and back on again
		[[ -n "$terminfo[rmam]" && -n "$terminfo[smam]" ]] && echoti rmam
		print -Pn "%{%F{red}......%f%}"
		[[ -n "$terminfo[rmam]" && -n "$terminfo[smam]" ]] && echoti smam

		zle expand-or-complete
		zle redisplay
	 }
	zle -N expand-or-complete-with-dots
	bindkey "^I" expand-or-complete-with-dots
fi
# }}}
# FZF {{{
_fzf_compgen_path() {
  fd --hidden --follow --exclude ".git" . "$1"
}

_fzf_compgen_dir() {
  fd --type d --hidden --follow --exclude ".git" . "$1"
}
#}}}
# Prevent ranger nesting {{{
ranger() {
	if [ -z "$RANGER_LEVEL" ]; then
		/usr/bin/ranger "$@"
	else
		exit
	fi
}
# }}}

# vim:foldmethod=marker:foldlevel=0